### Enumeration

# FwupdPlugin EfiHardDriveDevicePathSignatureType

since: 1.0

#### Declaration

    enum FwupdPlugin.EfiHardDriveDevicePathSignatureType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_NONE`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_ADDR1B8`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_HARD_DRIVE_DEVICE_PATH_SIGNATURE_TYPE_GUID`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0